org.apache.cassandra.tools.nodetool.stats

## Class TpStatsPrinter.DefaultPrinter

- java.lang.Object
- - org.apache.cassandra.tools.nodetool.stats.TpStatsPrinter.DefaultPrinter

All Implemented Interfaces:
  StatsPrinter<TpStatsHolder>

Enclosing class:
  TpStatsPrinter

    public static class TpStatsPrinter.DefaultPrinter
    extends java.lang.Object
    implements StatsPrinter<TpStatsHolder>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.tools.nodetool.stats.StatsPrinter

`StatsPrinter.JsonPrinter<T extends StatsHolder>, StatsPrinter.YamlPrinter<T extends StatsHolder>`

### Constructor Summary

Constructors
Constructor and Description
`DefaultPrinter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `print(TpStatsHolder data, java.io.PrintStream out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultPrinter

    public DefaultPrinter()

### Method Detail

#### print

    public void print(TpStatsHolder data,
                      java.io.PrintStream out)

Specified by:
  `print` in interface `StatsPrinter<TpStatsHolder>`